Subject: RE: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Gregory Heytings <[email-masked]>
Date: Mon, 10 May 2021 15:07:41 +0000

>>> Why does it make sense to inhibit frame resizing in this case?  I 
>>> think it will make an ugly display: mode-line text will spill over, 
>>> lines will become wrapped, etc.
>>
>> Because (1) it's what other programs do,
>
> See what I wrote.  That can be good and bad. Why limit Emacs to what 
> other programs do?
>

I don't want to limit Emacs to anything... but not everything can be bound 
to a key or a mouse event.  Perhaps this could become a defcustom, 
defaulting to t?  I tried to understand what Clément had in mind, and IIUC 
my understanding was right.

I will not use that feature, but I tried both frame-inhibit-implied-resize 
nil and t, and I'd guess that t is what most users would want.